Subject: Re: bug#76687: global-hi-lock-mode prompts on its own help

From: Ship Mints <[email-masked]>
Date: Mon, 3 Mar 2025 08:09:51 -0500

Daniel can put help modes into the exclude list if this solves his problem,
even if imperfect.

On Mon, Mar 3, 2025 at 7:50 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Sun, 2 Mar 2025 13:56:37 -0500
> > Cc: Stefan Kangas <[email-masked]>, Eli Zaretskii <[email-masked]>,
> [email-masked]
> >
> > Perhaps as simple as adding help modes to hi-lock-exclude-modes?  It
> looks like hi-lock mode exclusion
> > logic might need a little improvement to honor derived modes.
>
> Any reason why Help mode should be exempt from global-hi-lock-mode?
> This bug report shows a single instance of that mode which perhaps
> needs to be fixed, so why disable the mode for all of the Help
> buffers?
>